Advertisements

Add Advertisement Feedback Questions

Add feedback questions to an advertisement campaign. This only works when the advertisement was created with has_feedback: true. The question format is identical to survey questions.

POST/nfthing/advertisement/questions

Headers

FieldTypeRequiredDescription
X-API-KeystringYesYour Membrane API key.
Content-TypestringYesMust be application/json.

Request body

FieldTypeRequiredDescription
post_idstringYesThe post_id from advertisement creation.
questionsarrayYesArray of question objects (min 1).

Example request

POST /nfthing/advertisement/questions
{
  "post_id": "6aadfa03-3a05-440e-a9d3-524b31a9f3bd",
  "questions": [
    {
      "type": "descriptive",
      "question": "What did you think of this advertisement?"
    },
    {
      "type": "single_choice",
      "question": "Would you try this product?",
      "options": [
        "Yes",
        "No",
        "Maybe"
      ]
    }
  ]
}

Example response

200 OK
{
  "success": true,
  "message": "Questions created successfully",
  "data": {
    "question_id": "10006",
    "post_id": "6aadfa03-3a05-440e-a9d3-524b31a9f3bd",
    "ad_id": 85,
    "question_type": "ad",
    "total_questions": 2
  }
}